I've just made packages of Ruby 1.8.0-preview3 for PLD's nest (unstable)
and pre-ac(2.0) trees.  They're available (via HTTP or using poldek)
from http://polis.nbtsc.org/~aredridel/RPMS/

Good luck to all!

Ari